#include <iostream>
#include <stdlib.h>

using namespace std;

int main()
{
    int n;
    int x;
    cin>>n>>x;
    int a[n];
    for(int i=0;i<n;i++)
        cin>>a[i];
    int mi=0, maks=0;
    for(int i=0; i<n; i++)
    {
        if(a[i]>a[maks])
            maks=i;
        if(a[i]<a[mi])
            mi=i;
    }
    if(a[mi]<x && x<a[maks])
        cout<<x-a[mi]+a[maks]-x+min(abs(x-a[mi]),abs(x-a[maks]));
    else if(a[mi]<x && a[maks]<x)
        cout<<x-a[mi];
    else
        cout<<a[maks]-x;
}